{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "ucap-webmessenger-app": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/ucap-webmessenger-app",
      "sourceRoot": "projects/ucap-webmessenger-app/src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-builders/custom-webpack:browser",
          "options": {
            "outputPath": "dist/ucap-webmessenger-app",
            "index": "projects/ucap-webmessenger-app/src/index.html",
            "main": "projects/ucap-webmessenger-app/src/main.ts",
            "polyfills": "projects/ucap-webmessenger-app/src/polyfills.ts",
            "tsConfig": "projects/ucap-webmessenger-app/tsconfig.app.json",
            "aot": false,
            "assets": [
              "projects/ucap-webmessenger-app/src/favicon.ico",
              "projects/ucap-webmessenger-app/src/assets"
            ],
            "styles": ["projects/ucap-webmessenger-app/src/styles.scss"],
            "scripts": [],
            "customWebpackConfig": {
              "path": "./config/angular.webpack.config.js"
            }
          },
          "configurations": {
            "browser-development": {
              "fileReplacements": [
                {
                  "replace": "projects/ucap-webmessenger-app/src/environments/environment.ts",
                  "with": "projects/ucap-webmessenger-app/src/environments/environment-browser.dev.ts"
                }
              ],
              "outputPath": "dist/ucap-webmessenger-app-browser",
              "polyfills": "projects/ucap-webmessenger-app/src/polyfills-es5.ts",
              "tsConfig": "projects/ucap-webmessenger-app/tsconfig-es5.app.json",
              "optimization": false,
              "outputHashing": "all",
              "sourceMap": true,
              "extractCss": true,
              "namedChunks": false,
              "aot": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": false,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            },
            "browser-production": {
              "fileReplacements": [
                {
                  "replace": "projects/ucap-webmessenger-app/src/environments/environment.ts",
                  "with": "projects/ucap-webmessenger-app/src/environments/environment-browser.prod.ts"
                }
              ],
              "outputPath": "dist/ucap-webmessenger-app-browser",
              "polyfills": "projects/ucap-webmessenger-app/src/polyfills-es5.ts",
              "tsConfig": "projects/ucap-webmessenger-app/tsconfig-es5.app.json",
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "4mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            },
            "renderer-development": {
              "fileReplacements": [
                {
                  "replace": "projects/ucap-webmessenger-app/src/environments/environment.ts",
                  "with": "projects/ucap-webmessenger-app/src/environments/environment-renderer.dev.ts"
                }
              ],
              "tsConfig": "projects/ucap-webmessenger-app/tsconfig-es5.app.json",
              "optimization": false,
              "outputHashing": "all",
              "sourceMap": true,
              "extractCss": true,
              "namedChunks": false,
              "aot": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": false,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            },
            "renderer-production": {
              "fileReplacements": [
                {
                  "replace": "projects/ucap-webmessenger-app/src/environments/environment.ts",
                  "with": "projects/ucap-webmessenger-app/src/environments/environment-renderer.prod.ts"
                }
              ],
              "tsConfig": "projects/ucap-webmessenger-app/tsconfig-es5.app.json",
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "4mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-builders/custom-webpack:dev-server",
          "options": {
            "browserTarget": "ucap-webmessenger-app:build",
            "disableHostCheck": true
          },
          "configurations": {
            "browser-development": {
              "browserTarget": "ucap-webmessenger-app:build:browser-development"
            },
            "browser-production": {
              "browserTarget": "ucap-webmessenger-app:build:browser-production"
            },
            "renderer-development": {
              "browserTarget": "ucap-webmessenger-app:build:renderer-development"
            },
            "renderer-production": {
              "browserTarget": "ucap-webmessenger-app:build:renderer-production"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "ucap-webmessenger-app:build"
          }
        },
        "test": {
          "builder": "@angular-builders/custom-webpack:karma",
          "options": {
            "main": "projects/ucap-webmessenger-app/src/test.ts",
            "polyfills": "projects/ucap-webmessenger-app/src/polyfills.ts",
            "tsConfig": "projects/ucap-webmessenger-app/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-app/karma.conf.js",
            "assets": [
              "projects/ucap-webmessenger-app/src/favicon.ico",
              "projects/ucap-webmessenger-app/src/assets"
            ],
            "styles": ["projects/ucap-webmessenger-app/src/styles.scss"],
            "scripts": [],
            "customWebpackConfig": {
              "path": "./config/angular.webpack.config.js"
            }
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-app/tsconfig.app.json",
              "projects/ucap-webmessenger-app/tsconfig.spec.json",
              "projects/ucap-webmessenger-app/e2e/tsconfig.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        },
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "projects/ucap-webmessenger-app/e2e/protractor.conf.js",
            "devServerTarget": "ucap-webmessenger-app:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "ucap-webmessenger-app:serve:production"
            }
          }
        }
      }
    },

    "ucap-webmessenger-core": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-core",
      "sourceRoot": "projects/ucap-webmessenger-core/src",
      "prefix": "ucap-core",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-core/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-core/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-core/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-core/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-core/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-core/tsconfig.lib.json",
              "projects/ucap-webmessenger-core/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-api-common": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-api-common",
      "sourceRoot": "projects/ucap-webmessenger-api-common/src",
      "prefix": "ucap-api-common",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-api-common/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-api-common/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-api-common/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-api-common/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-api-common/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-api-common/tsconfig.lib.json",
              "projects/ucap-webmessenger-api-common/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-api-public": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-api-public",
      "sourceRoot": "projects/ucap-webmessenger-api-public/src",
      "prefix": "ucap-api-public",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-api-public/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-api-public/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-api-public/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-api-public/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-api-public/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-api-public/tsconfig.lib.json",
              "projects/ucap-webmessenger-api-public/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-api-external": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-api-external",
      "sourceRoot": "projects/ucap-webmessenger-api-external/src",
      "prefix": "ucap-api-external",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-api-external/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-api-external/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-api-external/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-api-external/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-api-external/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-api-external/tsconfig.lib.json",
              "projects/ucap-webmessenger-api-external/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-api-message": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-api-message",
      "sourceRoot": "projects/ucap-webmessenger-api-message/src",
      "prefix": "ucap-api-message",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-api-message/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-api-message/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-api-message/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-api-message/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-api-message/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-api-message/tsconfig.lib.json",
              "projects/ucap-webmessenger-api-message/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },

    "ucap-webmessenger-api": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-api",
      "sourceRoot": "projects/ucap-webmessenger-api/src",
      "prefix": "ucap-api",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-api/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-api/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-api/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-api/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-api/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-api/tsconfig.lib.json",
              "projects/ucap-webmessenger-api/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-pi": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-pi",
      "sourceRoot": "projects/ucap-webmessenger-pi/src",
      "prefix": "ucap-pi",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-pi/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-pi/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-pi/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-pi/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-pi/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-pi/tsconfig.lib.json",
              "projects/ucap-webmessenger-pi/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-ui": {
      "projectType": "library",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/ucap-webmessenger-ui",
      "sourceRoot": "projects/ucap-webmessenger-ui/src",
      "prefix": "ucap-ui",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-ui/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-ui/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-ui/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-ui/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-ui/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-ui/tsconfig.lib.json",
              "projects/ucap-webmessenger-ui/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-ui-account": {
      "projectType": "library",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/ucap-webmessenger-ui-account",
      "sourceRoot": "projects/ucap-webmessenger-ui-account/src",
      "prefix": "ucap-account",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-ui-account/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-ui-account/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-ui-account/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-ui-account/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-ui-account/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-ui-account/tsconfig.lib.json",
              "projects/ucap-webmessenger-ui-account/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-ui-chat": {
      "projectType": "library",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/ucap-webmessenger-ui-chat",
      "sourceRoot": "projects/ucap-webmessenger-ui-chat/src",
      "prefix": "ucap-chat",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-ui-chat/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-ui-chat/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-ui-chat/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-ui-chat/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-ui-chat/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-ui-chat/tsconfig.lib.json",
              "projects/ucap-webmessenger-ui-chat/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-ui-room": {
      "projectType": "library",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/ucap-webmessenger-ui-room",
      "sourceRoot": "projects/ucap-webmessenger-ui-room/src",
      "prefix": "ucap-room",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-ui-room/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-ui-room/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-ui-room/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-ui-room/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-ui-room/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-ui-room/tsconfig.lib.json",
              "projects/ucap-webmessenger-ui-room/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-ui-messenger": {
      "projectType": "library",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/ucap-webmessenger-ui-messenger",
      "sourceRoot": "projects/ucap-webmessenger-ui-messenger/src",
      "prefix": "ucap-messenger",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-ui-messenger/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-ui-messenger/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-ui-messenger/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-ui-messenger/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-ui-messenger/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-ui-messenger/tsconfig.lib.json",
              "projects/ucap-webmessenger-ui-messenger/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-ui-organization": {
      "projectType": "library",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/ucap-webmessenger-ui-organization",
      "sourceRoot": "projects/ucap-webmessenger-ui-organization/src",
      "prefix": "ucap-organization",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-ui-organization/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-ui-organization/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-ui-organization/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-ui-organization/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-ui-organization/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-ui-organization/tsconfig.lib.json",
              "projects/ucap-webmessenger-ui-organization/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-ui-profile": {
      "projectType": "library",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "root": "projects/ucap-webmessenger-ui-profile",
      "sourceRoot": "projects/ucap-webmessenger-ui-profile/src",
      "prefix": "ucap-profile",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-ui-profile/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-ui-profile/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-ui-profile/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-ui-profile/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-ui-profile/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-ui-profile/tsconfig.lib.json",
              "projects/ucap-webmessenger-ui-profile/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-ui-settings": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-ui-settings",
      "sourceRoot": "projects/ucap-webmessenger-ui-settings/src",
      "prefix": "ucap-settings",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-ui-settings/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-ui-settings/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-ui-settings/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-ui-settings/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-ui-settings/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-ui-settings/tsconfig.lib.json",
              "projects/ucap-webmessenger-ui-settings/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol",
      "sourceRoot": "projects/ucap-webmessenger-protocol/src",
      "prefix": "ucap-protocol",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-sync": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-sync",
      "sourceRoot": "projects/ucap-webmessenger-protocol-sync/src",
      "prefix": "ucap-protocol-sync",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-sync/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-sync/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-sync/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-sync/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-sync/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-sync/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-sync/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-buddy": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-buddy",
      "sourceRoot": "projects/ucap-webmessenger-protocol-buddy/src",
      "prefix": "ucap-protocol-buddy",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-buddy/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-buddy/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-buddy/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-buddy/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-buddy/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-buddy/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-buddy/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-group": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-group",
      "sourceRoot": "projects/ucap-webmessenger-protocol-group/src",
      "prefix": "ucap-protocol-group",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-group/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-group/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-group/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-group/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-group/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-group/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-group/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-info": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-info",
      "sourceRoot": "projects/ucap-webmessenger-protocol-info/src",
      "prefix": "ucap-protocol-info",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-info/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-info/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-info/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-info/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-info/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-info/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-info/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-option": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-option",
      "sourceRoot": "projects/ucap-webmessenger-protocol-option/src",
      "prefix": "ucap-protocol-option",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-option/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-option/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-option/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-option/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-option/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-option/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-option/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-query": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-query",
      "sourceRoot": "projects/ucap-webmessenger-protocol-query/src",
      "prefix": "ucap-protocol-query",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-query/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-query/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-query/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-query/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-query/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-query/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-query/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-service": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-service",
      "sourceRoot": "projects/ucap-webmessenger-protocol-service/src",
      "prefix": "ucap-protocol-service",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-service/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-service/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-service/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-service/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-service/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-service/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-service/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-authentication": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-authentication",
      "sourceRoot": "projects/ucap-webmessenger-protocol-authentication/src",
      "prefix": "ucap-protocol-authentication",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-authentication/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-authentication/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-authentication/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-authentication/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-authentication/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-authentication/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-authentication/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-status": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-status",
      "sourceRoot": "projects/ucap-webmessenger-protocol-status/src",
      "prefix": "ucap-protocol-status",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-status/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-status/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-status/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-status/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-status/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-status/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-status/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-room": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-room",
      "sourceRoot": "projects/ucap-webmessenger-protocol-room/src",
      "prefix": "ucap-protocol-room",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-room/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-room/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-room/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-room/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-room/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-room/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-room/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-event": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-event",
      "sourceRoot": "projects/ucap-webmessenger-protocol-event/src",
      "prefix": "ucap-protocol-event",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-event/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-event/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-event/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-event/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-event/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-event/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-event/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-ucti": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-ucti",
      "sourceRoot": "projects/ucap-webmessenger-protocol-ucti/src",
      "prefix": "ucap-protocol-ucti",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-ucti/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-ucti/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-ucti/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-ucti/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-ucti/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-ucti/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-ucti/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-fmc": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-fmc",
      "sourceRoot": "projects/ucap-webmessenger-protocol-fmc/src",
      "prefix": "ucap-protocol-fmc",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-fmc/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-fmc/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-fmc/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-fmc/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-fmc/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-fmc/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-fmc/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-umg": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-umg",
      "sourceRoot": "projects/ucap-webmessenger-protocol-umg/src",
      "prefix": "ucap-protocol-umg",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-umg/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-umg/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-umg/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-umg/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-umg/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-umg/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-umg/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-file": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-file",
      "sourceRoot": "projects/ucap-webmessenger-protocol-file/src",
      "prefix": "ucap-protocol-file",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-file/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-file/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-file/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-file/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-file/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-file/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-file/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-ping": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-ping",
      "sourceRoot": "projects/ucap-webmessenger-protocol-ping/src",
      "prefix": "ucap-protocol-ping",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-ping/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-ping/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-ping/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-ping/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-ping/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-ping/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-ping/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-web-storage": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-web-storage",
      "sourceRoot": "projects/ucap-webmessenger-web-storage/src",
      "prefix": "ucap-web-storage",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-web-storage/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-web-storage/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-web-storage/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-web-storage/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-web-storage/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-web-storage/tsconfig.lib.json",
              "projects/ucap-webmessenger-web-storage/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-web-socket": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-web-socket",
      "sourceRoot": "projects/ucap-webmessenger-web-socket/src",
      "prefix": "ucap-web-socket",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-web-socket/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-web-socket/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-web-socket/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-web-socket/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-web-socket/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-web-socket/tsconfig.lib.json",
              "projects/ucap-webmessenger-web-socket/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-util": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-util",
      "sourceRoot": "projects/ucap-webmessenger-util/src",
      "prefix": "ucap-util",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-util/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-util/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-util/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-util/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-util/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-util/tsconfig.lib.json",
              "projects/ucap-webmessenger-util/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-protocol-inner": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-protocol-inner",
      "sourceRoot": "projects/ucap-webmessenger-protocol-inner/src",
      "prefix": "ucap-protocol-inner",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-protocol-inner/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-protocol-inner/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-protocol-inner/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-protocol-inner/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-protocol-inner/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-protocol-inner/tsconfig.lib.json",
              "projects/ucap-webmessenger-protocol-inner/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-ui-group": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-ui-group",
      "sourceRoot": "projects/ucap-webmessenger-ui-group/src",
      "prefix": "ucap-group",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-ui-group/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-ui-group/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-ui-group/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-ui-group/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-ui-group/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-ui-group/tsconfig.lib.json",
              "projects/ucap-webmessenger-ui-group/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-util-translate": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-util-translate",
      "sourceRoot": "projects/ucap-webmessenger-util-translate/src",
      "prefix": "ucap-util-translate",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-util-translate/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-util-translate/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-util-translate/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-util-translate/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-util-translate/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-util-translate/tsconfig.lib.json",
              "projects/ucap-webmessenger-util-translate/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-native": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-native",
      "sourceRoot": "projects/ucap-webmessenger-native/src",
      "prefix": "ucap-native",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-native/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-native/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-native/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-native/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-native/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-native/tsconfig.lib.json",
              "projects/ucap-webmessenger-native/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-native-electron": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-native-electron",
      "sourceRoot": "projects/ucap-webmessenger-native-electron/src",
      "prefix": "ucap-native-electron",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-native-electron/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-native-electron/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-native-electron/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-native-electron/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-native-electron/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-native-electron/tsconfig.lib.json",
              "projects/ucap-webmessenger-native-electron/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    },
    "ucap-webmessenger-native-browser": {
      "projectType": "library",
      "root": "projects/ucap-webmessenger-native-browser",
      "sourceRoot": "projects/ucap-webmessenger-native-browser/src",
      "prefix": "ucap-native-browser",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-ng-packagr:build",
          "options": {
            "tsConfig": "projects/ucap-webmessenger-native-browser/tsconfig.lib.json",
            "project": "projects/ucap-webmessenger-native-browser/ng-package.json"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/ucap-webmessenger-native-browser/src/test.ts",
            "tsConfig": "projects/ucap-webmessenger-native-browser/tsconfig.spec.json",
            "karmaConfig": "projects/ucap-webmessenger-native-browser/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/ucap-webmessenger-native-browser/tsconfig.lib.json",
              "projects/ucap-webmessenger-native-browser/tsconfig.spec.json"
            ],
            "exclude": ["**/node_modules/**"]
          }
        }
      }
    }
  },
  "defaultProject": "ucap-webmessenger-app"
}
